Skip to main content
GET
Get a user by id or handle

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow with PKCE (S256). Discovery: https://api.guild.ai/.well-known/oauth-authorization-server.

Path Parameters

user_id_or_name
string
required

Response

Successful response

A personal user as gen_serialize_personal_user emits it.

id
string<uuid>
required
entity_type
enum<string>
required
Available options:
EntPersonalUser
created_at
string<date-time>
required
updated_at
string<date-time>
required
type
enum<string>
required
Available options:
user
name
string
required
full_name
string | null
required
avatar_url
string | null
required
bio
string | null
required
banner_url
string | null
required
website_url
string | null
required
github_url
string | null
required
x_url
string | null
required
linkedin_url
string | null
required
discord_url
string | null
required
youtube_url
string | null
required
threads_url
string | null
required
cached_likes_public_count
integer
required
cached_forks_public_count
integer
required
cached_installs_public_count
integer
required
handle
string
required
email_domain
string | null